| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::LocalizeSettings Class Reference
Inheritance diagram for Digikam::LocalizeSettings:

## Public Types
enum | ConfigPart { LocalizeConfig , SpellCheckConfig , AllConfig }

## Signals
void | signalOpenLocalizeSetup ()
void | signalSettingsChanged ()

## Public Member Functions
void | openLocalizeSetup ()
void | setSettings (const LocalizeContainer &settings, ConfigPart config)
| Sets the current Metadata settings and writes them to config.
LocalizeContainer | settings () const
| Returns the current Metadata settings.

## Static Public Member Functions
static LocalizeSettings * | instance ()
| Global container for spell-check and localize settings.

## Member Function Documentation

## ◆ instance()

LocalizeSettings * Digikam::LocalizeSettings::instance | ( |  | ) |
| static

All accessor methods are thread-safe.